<?php
require_once dirname(__FILE__) . '/include/smartySetup.php';

define ("MOVING_AVERAGE_DAYS", 8); // number of days to use in the moving average calculation

$db = new phpusertrack_db();

if ($_GET['mode'] == 'delete') {
	$sql = 'delete from phpusertrack_sites where id=' . $_GET['id'];
	$del = $db->_query($sql);
	$notify[] = array('title' => _('Site Deleted'), 
		'desc' => 'The site has been deleted from your list of installed and tracked sites.',
		'type' => 'success'
	);
}
try {
	$sql = 'select (select count(*) from phpusertrack_data as tmpdata where tmpdata.site_id=phpusertrack_sites.id) as count, phpusertrack_sites.* from phpusertrack_sites group by id';
	$sites = $db->_query($sql);
	$smarty->assign('sitesold', $_SESSION['sitesold']);
	$smarty->assign('fullurl', true);
	$_SESSION['sitesold'] = $sites;
	
} catch (Exception $e) {
	$notify[] = array('title' => 'Database Error', 
		'desc' => $e->getMessage(),
		'type' => 'error'
	);
}	

$smarty->assign('mysqlQueryTime', (getmicrotime() - $time));

$pattern = '/[\d]+(\.[\d]+)*(-[\w]*[\d])?/';
if (@preg_match($pattern, file_get_contents('http://svn.chatetheory.com/phpusertrack/trunk/include/version.php'), $version)) {
	$versionNow = explode('.',PHPUSERTRACK_VERSION);
	$versionNow = ($versionNow[0] * 10000) + ($versionNow[1] * 100) + ($versionNow[2]);
	$newVersion = explode('.',$version[0]);
	$newVersion = ($newVersion[0] * 10000) + ($newVersion[1] * 100) + ($newVersion[2]);
	
	if ($newVersion > $versionNow) {
		$notify[] = array('title' => 'New Version Available', 
			'desc' => 'There is a new version of phpUserTrack available. phpUserTrack ' . $version[0] . ' can be downloaded from <a href="http://www.phpusertrack.com/downloads/phpUserTrack-' . $version[0] . '.tar.gz">http://www.phpusertrack.com/downloads/phpUserTrack-' . $version[0] . '.tar.gz</a>',
			'type' => 'message'
		);
	}
}

$smarty->assign('sites', $sites);

$smarty->assign('mysqlHost', $conf['mysqlHost']);
$smarty->assign('mysqlPort', $conf['mysqlPort']);
$smarty->assign('mysqlDb', $conf['mysqlDbName']);

$smarty->assign('movAvgDays', MOVING_AVERAGE_DAYS);

$smarty->assign('notifMsg', $notify);

$smarty->display('header.tpl');
$smarty->display('index.tpl');

$smarty->assign('pageRenderTime', (getmicrotime() - $time));

$smarty->display('footer.tpl');

?>
