<?php
/**
 * User Agent detection class
 * @author Christopher Troup <mini@chatetheory.com>
 * @package phpUserTrack
 * @subclass Libraries
 */
class detectUserAgent {

	/**
	 * User Agent identification string
	 * @var string
	 */
	var $useragent;
	
	/**
	 * @todo What does this do?
	 */
	var $browscapIni; //Cache
	
	/**
	 * @todo What does this do?
	 */
	var $browscapPath; //Cached database
	
	/**
	 * All the information about the browser that could be detected
	 * @var array
	 */
	var $dataArray;

	/**
	 * Class constructor
	 * @param string $useragent User Agent indentification string
	 */
	function detectUserAgent($useragent = null) {
		define('PHPUSERTRACK_BROWSCAP', dirname(__FILE__) . '/../include/browscap.ini');
		if ($useragent == null) {
			$useragent = $_SERVER['HTTP_USER_AGENT'];
		}
		$this->useragent = $useragent;
		$this->browscapIni = null;
		$this->browscapPath = '';
		//if (!$array = $this->get_browser_php()) { // try native php function first
			//$array = $this->get_browser_local(PHPUSERTRACK_BROWSCAP);
			$array = $this->get_browser_php();
		//}
		$this->dataArray = $array;
	}
	
	/**
	 * Return the detected information
	 * @return array
	 */
	function getBrowserArray() {
		return $this->dataArray;
	}
	
	/**
	 * Attempt to use PHPs built in get_browser() function
	 * @return array detected information
	 */
	function get_browser_php() {
		return get_browser(null, true);
	}
	
	/**
	 * Drop-in replacement for get_browser()
	 * @param string $db
	 * @param boolean $cache
	 * @return array detected information
	 */
	function get_browser_local($db, $cache = false ) {
 		if ((!isset($this->browscapIni))||(!$cache)||($this->browscapPath!==$db)) {
  			$this->browscapIni=parse_ini_file($db,true);
			$this->browscapPath=$db;
 		}
 		$cap=null;
 		foreach ($this->browscapIni as $key=>$value) {
  			if (($key!='*')&&(!array_key_exists('parent',$value))) continue;
  			$keyEreg='^'.str_replace(
   			array('\\','.','?','*','^','$','[',']','|','(',')','+','{','}','%'),
   			array('\\\\','\\.','.','.*','\\^','\\$','\\[','\\]','\\|','\\(','\\)','\\+','\\{','\\}','\\%'), $key).'$';
  			if (preg_match('%'.$keyEreg.'%i',$this->useragent)) {
   				$cap=array('browser_name_regex'=>strtolower($keyEreg),'browser_name_pattern'=>$key)+$value;
   				$maxDeep=8;
   				while (array_key_exists('parent',$value)&&(--$maxDeep>0))
    			$cap+=($value=$this->browscapIni[$value['parent']]);
   				break;
  			}
 		}
 		if (!$cache) $this->browscapIni=null;
 		return $cap;
	}
}

?>
