<?php
require_once dirname(__FILE__) . '/include/smartySetup.php';

$smarty->assign('noNav', true);
if (isset($_POST['submit'])) {
	try {
		$login = new login();
		if (!$login->submit_login($_POST['username'], $_POST['password'])) {
			$notify[] = array('title' => 'Login Failed', 
				'desc' => 'invalid username/password combo',
				'type' => 'error'
			);
		} else {
			$_SESSION['notify'][] = array('title' => 'Login Succeeded', 
				'desc' => 'You are logged in as <strong>' . $_POST['username'] . '</strong>',
				'type' => 'success'
			);
			$smarty->assign('noNav', false);
			//include('index.php');
			if ($_SESSION['wantedPage']) {
				$page = $_SESSION['wantedPage'];
				unset($_SESSION['wantedPage']);
				header( 'Location: ' . $page) ;
			} else {
				header( 'Location: index.php' ) ;
				die;
			}
		}
	} catch (Exception $e) {
		$notify[] = array('title' => 'Failed', 
		'desc' => $e->__toString(),
		'type' => 'error'
	);
	}
} elseif (isset($_GET['logout'])) {
	unset ($_SESSION['uid']);
	$notify[] = array('title' => 'Logout Succeeded', 
			'desc' => 'You have been successfully logged out from the system',
			'type' => 'success'
		);
}

$smarty->assign('notifMsg', $notify);

$smarty->assign('pageTitle', 'phpUserTrack Login Page');
$smarty->display('header.tpl');
$smarty->display('login.tpl');
$smarty->display('footer.tpl');

?>
