<?php
/**
 * This is an example of what a plugin could look like. Required functions are _type() and invoke()
 */
/**
 * ipFilter plugin class. Filter out IP addresses that admin doesent want recorded.
 * @author Christopher Troup <mini@chatetheory.com>
 * @package phpUserTrack
 * @subpackage Plugins
 */
class graphSampleDataText extends plugin {

	var $desc = 'Renders the words \'Sample Data\' accross the pageviews graph';
	var $author = 'Christopher Troup';
	var $version = '0.1';
	
	/**
	 * Invoke plugins, filter IP addresses
	 * @param phpusertrack_ip $ip Profile object
	 * @return phpusertrack_ip Altered Profile object
	 */
	function invoke($graph) {
		$txt=new Text($this->data['text'],80,20);
		//$txt->Pos(0,0, 'center', 'center'); 
		$txt->SetAngle(25);
		$txt->SetFont(FF_VERA,FS_BOLD, 35);
		$txt->ParagraphAlign('centered');
		$txt->SetColor($this->data['color']);
		
		$graph->AddText($txt);
	 	return $graph;
	}

	function _prefs() {
		return array('color' => 
						array('name' => 'Text Color', 'desc' => 'The color of the rendered text', 'type' => 'string'),
							'text' =>
						array('name' => 'Text', 'desc' => 'The text to be displayed', 'type' => 'string'));

	}

	/**
	 * The type of plugin
	 * @return string
	 */
	function _type() {
		return 'graph.prerender';
	}

}
	
?>