<?php
/**
 * This is an example of what a plugin could look like. Required functions are _type() and invoke()
 */
/**
 * ipFilter plugin class. Filter out IP addresses that admin doesent want recorded.
 * @author Christopher Troup <mini@chatetheory.com>
 * @package phpUserTrack
 * @subpackage Plugins
 */
class ipFilter extends plugin {
	/**
	 * Array of IP addresses to ignore
	 * @var array
	 */
	var $desc = 'Performs IP address filtering. Useful to ignore IPs of development boxes to avoid them showing up in the statistics';
	var $version = '1.0';
	var $author = 'Christopher Troup <a href="mailto:mini@chatetheory.com">mini@chatetheory.com</a>';

	/**
	 * Invoke plugins, filter IP addresses
	 * @param phpusertrack_ip $ip Profile object
	 * @return phpusertrack_ip Altered Profile object
	 */
	function invoke($ip) {
		$ips = $this->data['ips'];
			if (in_array($ip->getIp(), $ips)) {
	   			$ip = null;
			}
		return $ip;
	}
	
	/*function invoke($ip) {
		if (in_array($ip->getIp(), $this->data)) {
   			$ip = null;
		}
		return $ip;
	}*/

	/**
	 * The type of plugin
	 * @return string
	 */
	function _type() {
		return 'ip.pre';
	}
	
	function _prefs() {
		return array('ips' => 
								array('name' => 'Ignored IPs', 'desc' => 'Any IP addresses in this list will be ignored and phpUserTrack will not collect data for them.', 'type' => 'array'));
		/*, 
							'drop' => 
								array('name' => 'Boolean Sample', 'desc' => 'Testing boolean options', 'type' => 'bool'), 
							'StringyThingy' => 
								array('name' => 'String Sample', 'desc' => 'Testing string options', 'type' => 'string') */
	}
	
	function __toString() {
		return serialize($this);
	}
	
	function &getIPs() {
		return $this->data['ips'];
	}

}
	
?>