SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

--
-- Database: `phpusertrack`
--

-- --------------------------------------------------------

--
-- Table structure for table `phpusertrack_data`
--

CREATE TABLE IF NOT EXISTS `phpusertrack_data` (
  `id` int(11) NOT NULL auto_increment COMMENT 'id',
  `ip_id` int(11) NOT NULL COMMENT 'ip address id',
  `timestamp` datetime NOT NULL COMMENT 'timestamp',
  `site_id` int(11) NOT NULL COMMENT 'index of site visited',
  `path` varchar(255) NOT NULL COMMENT 'path requested',
  `referrer` varchar(255) default NULL COMMENT 'page referrer',
  PRIMARY KEY  (`id`),
  KEY `ip` (`ip_id`),
  KEY `site_id` (`site_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COMMENT='Data for phpUserTrack';

-- --------------------------------------------------------

--
-- Table structure for table `phpusertrack_ip`
--

CREATE TABLE IF NOT EXISTS `phpusertrack_ip` (
  `id` int(11) NOT NULL auto_increment COMMENT 'id',
  `session_id` varchar(32) NOT NULL COMMENT 'session_id',
  `ip` varchar(15) NOT NULL COMMENT 'ip address',
  `browser` varchar(32) NOT NULL COMMENT 'browser name',
  `browser_version` varchar(8) NOT NULL COMMENT 'browser version',
  `platform` varchar(32) NOT NULL COMMENT 'platform',
  `timestamp` timestamp NOT NULL default CURRENT_TIMESTAMP COMMENT 'timestamp',
  PRIMARY KEY  (`id`),
  KEY `ip` (`ip`),
  KEY `session_id` (`session_id`),
  KEY `browser` (`browser`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COMMENT='IP Address Lookup table';

-- --------------------------------------------------------

--
-- Table structure for table `phpusertrack_log`
--

CREATE TABLE IF NOT EXISTS `phpusertrack_log` (
  `id` int(11) NOT NULL auto_increment,
  `message` longtext NOT NULL,
  `timestamp` timestamp NOT NULL default CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `phpusertrack_perms`
--

CREATE TABLE IF NOT EXISTS `phpusertrack_perms` (
  `id` int(11) NOT NULL auto_increment,
  `uid` int(11) NOT NULL,
  `perms` binary(6) NOT NULL default '0\0\0\0\0\0',
  PRIMARY KEY  (`id`),
  KEY `uid` (`uid`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Table structure for table `phpusertrack_sites`
--

CREATE TABLE IF NOT EXISTS `phpusertrack_sites` (
  `id` int(11) NOT NULL auto_increment COMMENT 'id',
  `url` varchar(64) NOT NULL COMMENT 'url of site',
  `name` varchar(255) NOT NULL default '' COMMENT 'common name',
  `desc` mediumtext COMMENT 'description of the site',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COMMENT='phpUserTrack Site List';

-- --------------------------------------------------------

--
-- Table structure for table `phpusertrack_users`
--

CREATE TABLE IF NOT EXISTS `phpusertrack_users` (
  `id` int(11) NOT NULL auto_increment,
  `username` varchar(16) NOT NULL,
  `password` varchar(32) NOT NULL,
  `realname` tinytext NOT NULL,
  `email` varchar(50) default NULL,
  `userlevel` tinyint(1) unsigned NOT NULL,
  `timestamp` timestamp NOT NULL default CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `username` (`username`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;
