<?php
require_once dirname(__FILE__) . '/include/smartySetup.php';
require_once dirname(__FILE__) . '/lib/libPrefs.php';

needsAdmin();

$phpusertrack_prefs = new Prefs('phpusertrack');

if ($_GET['mode'] == 'plugin') {
	$foundPlugin = &$plugins->getPlugin($_GET['namespace']);

	if(isset($_POST['submit'])) {
		if ($_POST['enabled'] == 'on') {
			if($plugins->addPlugin($plugins->getName($_GET['namespace']))) {
			$notify[] = array('title' => 'Plugin Enabled',
				'desc' => $plugins->getName($_GET['namespace']) . ' was enabled',
				'type' => 'success');
			}
		} else {
			if ($plugins->removePlugin($plugins->getName($_GET['namespace']))) {
			$notify[] = array('title' => 'Plugin Disabled',
				'desc' => $plugins->getName($_GET['namespace']) . ' was disabled',
				'type' => 'success');
			}
		}
		$plugin_prefs = new Prefs(md5('plugins'));
		$plugin_prefs->value = $plugins->getActiveNames();
		$plugin_prefs->setValues();
		
		

		$prefs = $foundPlugin->_prefs();
		//var_dump($foundPlugin);
		foreach ($prefs as $key => $pref) {
			//var_dump($pref);
			$foundPlugin->data[$key] = $_POST[$key];
		}
		$plugin_prefs = new Prefs($_GET['namespace']);
		$plugin_prefs->value = $foundPlugin->data;
		$plugin_prefs->setValues();
		
		$notify[] = array('title' => 'Preferences Updated',
				'desc' => 'The plugin\'s preferences were updated',
				'type' => 'success');
		
		$foundPlugin = &$plugins->getPlugin($_GET['namespace']);
	}

	if ($foundPlugin != null) {
		$smarty->assign('plugin', $foundPlugin);

		if ($prefs = $foundPlugin->_prefs()) {
			$prefOptionsArray = array();
			while ($info = current($prefs)) {
				$dbPref = new Prefs($foundPlugin->_namespace);
				$data = $dbPref->getValues();
				$data = $data[key($prefs)];
				$prefOptionsArray[] = array('id' => key($prefs), 'name' => $info['name'], 'desc' => $info['desc'], 'type' => $info['type'], 'data' => $data);
				 
				next($prefs);
			}
			$smarty->assign('prefs', $prefOptionsArray);
		}

		$smarty->assign('notifMsg', $notify);
		
		$smarty->display('header.tpl');
		$smarty->display('plugin.tpl');

	} else {
		$_SESSION['notify'][] = array('title' => 'Plugin Not Found',
				'desc' => 'No plugin in that namespace was found.',
				'type' => 'error'
				);
				header('Location: settings.php');
	}
} else {

	if (isset($_POST['submit'])) {
		$phpusertrack_prefs->value['timezone'] = $_POST['timezone'];
		if ($_POST['allowanonymous'] == 'on') {
			$phpusertrack_prefs->value['allowanonymous'] = 1;
		} else {
			$phpusertrack_prefs->value['allowanonymous'] = 0;
		}
		$phpusertrack_prefs->setValues();
		$notify[] = array('title' => 'Update Preferences',
		'desc' => 'The preferences were updated successfully',
		'type' => 'success'
		);
	}

	$smarty->assign('phpusertrack_prefs', $phpusertrack_prefs->getValues());
	$smarty->assign('notifMsg', $notify);

	$timezone_identifiers = DateTimeZone::listIdentifiers();
	$smarty->assign('plugins', $plugins->getAll());
	$smarty->assign('timezones', $timezone_identifiers);
	$smarty->display('header.tpl');
	$smarty->display('settings.tpl');
}



//$smarty->assign('conf', $conf);

$smarty->display('footer.tpl');

?>